<?php
/* editor_set.php (c)2006, Andreas Forstinger, www.mobilemoodle.org */
// this script is invoked by the editor applet to store a MLO
$nomoodlecookie = true; // no session required
require_once('../../../config.php');
global $CFG;
require_once('../lib.php');

    // get contentid
    $id = required_param('contentid',PARAM_INT);

    // security measures
        // generate fingerprint
        $localpass = md5($id . $CFG->mlo_pass);
        $remotepass = optional_param('pass','',PARAM_ALPHANUM);
        // compare fingerprints
        if(!$remotepass === $localpass){
            echo('Error - Authentication failed');
            exit;
        }

    // check if corresponding db entry exists
    if(!$mlo = get_record('mlo','id',$id)){
        echo('Error - No such object');
        exit;
    }

    // make sure data directory exists
    $directory = make_upload_directory($CFG->mlo_path);

    // specify target file
    $targetfile = $directory . $id . '.zip';

    // delete existing file
    if(file_exists($targetfile)){
        unlink($targetfile);
    }

    // move the uploaded file to target
    $success = move_uploaded_file($_FILES['content']['tmp_name'],$targetfile);

    // on success make sure "stored" flag is set
//    $mlo->stored = true;
    $mlo->version = optional_param('version',0,PARAM_INT);
    update_record('mlo',$mlo);

    // return notice
    echo('ok');
?>